Skip to Content
Webhooks

List webhook endpoints

Endpoints in the key's mode. Secrets are never listed. Requires the `webhooks:write` scope.

GET
/v1/webhook-endpoints

Endpoints in the key's mode. Secrets are never listed.

Requires the webhooks:write scope.

Authorization

secretKey
headerAuthorizationBearer <token>

A secret key: wc_live_... or wc_test_.... Keep it on your server.

Query Parameters

limit?integer

Page size, 1 to 100. Defaults to 50.

Range1 <= value <= 100
cursor?string

The next_cursor from the previous page.

Length1 <= length <= 1024

Response Body

A page of endpoints.

application/json
  1. response
data*array<>
next_cursor*|

Pass as cursor to get the next page. null on the last page.

Example Request
curl -X GET 'https://api.whocoming.com/v1/webhook-endpoints'
Example Response
{  "data": [    {      "id": "string",      "mode": "live",      "url": "string",      "events": [        "rsvp.created"      ],      "disabled_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}